Subject: [v6ops] Re: WG Last Call: draft-ietf-v6ops-framework-md-ipv6only-underlay-13 (Ends 2025-10-08)
From: Daryll Swer <[email-masked]>
To: Chongfeng Xie <[email-masked]>
Cc: draft-ietf-v6ops-framework-md-ipv6only-underlay <[email-masked]>, v6ops-chairs <[email-masked]>, list <[email-masked]>
Date: Tue, 30 Sep 2025 23:27:19 +0530
List-Id: v6ops discussion list <v6ops.ietf.org>

Hi

It discusses an approach to SR-MPLS data-plane with IPv6 control-plane, in
> which each PE is configured with an IPv6 loopback address.

Yes, for SR-MPLS data plane with IPv6 control-plane, the PE and P (both)
would all be IPv6-only. But vendor support is a different question, of
course, outside the scope of this topic.

To avoiding unnecessary misunderstanding, I plan to remove the sentence you
> raised from my draft.

Sounds good, thanks.

*--*
Best Regards
Daryll Swer
Website: daryllswer.com
<https://l.shortlink.es/l/54377bc99ae74121293cf9cec9cea170808de1c7?u=2153471>

On Tue, 30 Sept 2025 at 10:07, Chongfeng Xie <[email-masked]>
wrote:

>
> Hi Daryll,
>
> Thank you for sharing this draft, which is interesting. It discusses an
> approach to SR-MPLS data-plane with IPv6 control-plane, in which each PE is
> configured with an IPv6 loopback address. This draft also provides an
> example of transferring IPv4 traffic within and across SR-MPLS islands.
> Different from this draft, my draft is mainly about transferring IPv4
> traffic across multi-domin IPv6-only network, the data plane is IPv6-only,
> IPv6 is becoming and hopefully will be the universal Internet protocol.
>
> To avioding unnecessary mistanding, I plan to remove the sentence you
> raised from my draft.
>
> Best regards
> Chongfeng
>
> *From:* Daryll Swer <[email-masked]>
> *Date:* 2025-09-30 09:44
> *To:* Chongfeng Xie <[email-masked]>
> *CC:* Brian E Carpenter <[email-masked]>; Nick Buraglio
> <[email-masked]>;
> draft-ietf-v6ops-framework-md-ipv6only-underlay
> <[email-masked]>; v6ops-chairs
> <[email-masked]>; list <[email-masked]>
> *Subject:* Re: Re: [v6ops] Re: WG Last Call:
> draft-ietf-v6ops-framework-md-ipv6only-underlay-13 (Ends 2025-10-08)
> Hi
>
> You said “SR-MPLS in theory does work with IPv6-only underlay.”, by this
>> statement you mean that SR-MPLS can interwork with IPv6-only underlay? Or
>> that SR-MPLS can be used for IPv6-only underlay?
>
> SR-MPLS data plane, with is-is SR Routing/Control plane over IPv6-only
> addressing on PtP links (no IPv4) and IPv6-only overlay BGP/EVPN services.
>
> https://datatracker.ietf.org/doc/html/draft-filsfils-spring-sr-mpls-ipv6-control-plane-05
>
> *--*
> Best Regards
> Daryll Swer
> Website: daryllswer.com
> <https://l.shortlink.es/l/cf6d7320fde161a90861786063d78b058fbd7fda?u=2153471>
>
>
> On Tue, 30 Sept 2025 at 06:39, Chongfeng Xie <[email-masked]>
> wrote:
>
>>
>> Hi Daryll,
>>
>> Thank you for your comments.   Perhaps the sentence in my draf is
>> inaccurate and has caused some unnecessary misunderstandings.
>>
>> You said “SR-MPLS in theory does work with IPv6-only underlay. ” ，by
>> this statement you mean that SR-MPLS can interwork with IPv6-only underlay?
>> Or that SR-MPLS can be used for IPv6-only underlay?
>>
>> Best regards
>> Chongfeng
>>
>>
>> *From:* Daryll Swer <[email-masked]>
>> *Date:* 2025-09-29 23:01
>> *To:* Chongfeng Xie <[email-masked]>
>> *CC:* Brian E Carpenter <[email-masked]>; Nick Buraglio
>> <[email-masked]>;
>> draft-ietf-v6ops-framework-md-ipv6only-underlay
>> <[email-masked]>; v6ops-chairs
>> <[email-masked]>; list <[email-masked]>
>> *Subject:* Re: [v6ops] Re: WG Last Call:
>> draft-ietf-v6ops-framework-md-ipv6only-underlay-13 (Ends 2025-10-08)
>> Not sure if I replied to the wrong email thread
>> <https://mailarchive.ietf.org/arch/msg/v6ops/stkHN98Lg8ELLjHmxMEhl_7WFZE/>
>> and the authors of this draft missed it, but I had a question.
>>
>> A quick question for the authors of this document, this line caught my
>> eye:
>>
>>> Another TE alternative is MPLS, which can be SR-signaled or
>>> RSVP-TE signaled, however it is not IPv6-based and is out the scope of
>>> this document.
>>
>>
>> SR-MPLS in theory (and to my knowledge by some popular vendors'
>> implementation) does work with IPv6-only underlay.  Would that not make the
>> above statement inaccurate?
>>
>> Other than the Service Provider aspect of SRv6 vs SR-MPLS-IPv6-only-AFI
>> question, I don't see issues with adopting this document.
>>
>> *--*
>> Best Regards
>> Daryll Swer
>> Website: daryllswer.com
>> <https://l.shortlink.es/l/385b89dda8793fedd8b55877bb0c17a2c2e1e943?u=2153471>
>>
>>